function [confusion_mat] = classify(basepath, class_names, train_results, options)
%CLASSIFY Given training data, classify input images.
%   [CONFUSION_MAT] = CLASSIFY(BASEPATH, CLASS_NAMES, TRAIN_RESULTS, OPTIONS) 
%   classifies all images under BASEPATH, using the same descriptor types used for training. 
%   Classification is performed using the training data given in TRAIN_RESULTS.
%
%   input parameters:
%       BASEPATH              - Base path of test data.
%       CLASS_NAMES           - Translation table from integers to class names.
%       TRAIN_RESULTS         - as supplied by train().
%       OPTIONS               - Struct with extra options passed to the various algorithms.
%
%   output parameters:
%       CONFUSION_MAT - The confusion matrix. The value in (row, col) specifies the probability of 
%                       predicting class_names{row} when the correct answer is class_names{col}.

  error('classify(): not implemented yet.');
  
end

