function [train_results] = train(basepath, class_names, options)
%TRAIN Train a classifier using training images
%   [TRAIN_RESULTS] = TRAIN(BASEPATH, CLASS_NAMES, OPTIONS) 
%   computes image descriptors and trains a bag-of-words classifier, using the specified algorithms.
%
%   input parameters:
%       BASEPATH              - Base path of training data.
%       CLASS_NAMES           - Translation table from integers to class names.
%       OPTIONS               - Struct with extra options passed to the various algorithms.
%
%   output parameters:
%       TRAIN_RESULTS - struct with all the training results. For example, train_results.codebook 
%                       and train_results.class_histograms might hold the codebook and histograms,
%                       respectively.
%

  error('train(): not implemented yet.');

end

